# ESTOS ProCall One
# 2016 foo.li systeme + software

$packageName    = 'estos-procallone'
$version        = '3.0.3.1045'
$fileType       = 'msi'
$silentArgs     = '/qn /norestart'
$url            = '\\unxfsv001\software\free\e\estos\ctiClientOne_de.msi'
$url64          = $url
$validExitCodes = @(0,3010)
    
$packageSearch = 'ESTOS ProCall One*'
    
try {
    $app = Get-ItemProperty -Path @('HKLM:\Software\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\*',
                                    'HKLM:\Software\Microsoft\Windows\CurrentVersion\Uninstall\*') `
        -ErrorAction:SilentlyContinue | Where-Object { $_.DisplayName -like $packageSearch }
        
    if ($app -and ($app.DisplayVersion -ge $version)) {
        Write-Host 'ProCall One is already installed.'
    } else {
        if (Test-Path $url) {
            Install-ChocolateyPackage $packageName $fileType $silentArgs $url $url64 $validExitCodes
            Remove-Item -Path "$env:PUBLIC\Desktop\eTax FL 2015*.lnk" -ErrorAction SilentlyContinue
            Remove-Item -Path "$env:allusersprofile\Microsoft\Windows\Start Menu\Programs\eTax FL 2015 JP\Deinstallation eTax FL 2015*.lnk" -ErrorAction SilentlyContinue
            Remove-Item -Path "$env:allusersprofile\Microsoft\Windows\Start Menu\Programs\eTax FL 2015 NP\Deinstallation eTax FL 2015*.lnk" -ErrorAction SilentlyContinue
        } else {
            Write-Warning 'cannot access fileshare. this package is for foo.li internal use only.'
            throw 'no access to installer'
        }
    }
} catch {
    throw $_.Exception
}